Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03619 Color/Palette Minor Always Dec 31, 2009, 21:50 Jun 10, 2017, 00:29
Tester M.A.S.H. View Status Public Platform MAME (Self-compiled)
Assigned To SailorSat Resolution Fixed OS
Status [?] Resolved Driver vicdual.cpp
Version 0.135u4 Fixed in Version 0.185 Build Normal
Summary 03619: nsub: Missing background blue color fade effect
Description ** NOTE: inverted colors were fixed in 0137u4 **
=============

The 'Known issues' of N-Sub (Sega 1980) in the vicdual.c driver says:
"Colors are wrong in N-Sub. It uses a different resistor ladder."
This is not correct, the color prom region is simply inverted.


Change in ROM_START( nsub ) line 2424 from:

ROM_REGION( 0x0020, "proms", 0 )
to
ROM_REGION( 0x0020, "proms", ROMREGION_INVERT )


If you now compare both attached images from the TAFA flyer and the
new MAME snapshot (Level 2), you can see that all colors are correct.
Only the *Blue Sky* color fade effect is missing. This fade effect
looks like the same in Mariner (1981) or Radar Scope (1980).

Manual:
www.cityofberwyn.com/manuals/N-Sub.pdf

YouTube Video from RaZer


Some links to consolen conversions of N-Sub:

http://www.ricbit.com/mundobizarro/nsub.php

Steps To Reproduce
Additional Information
Flags
Regression Version 0.113u3
Affected Sets / Systems nsub
Attached Files
png file icon N-Sub-Original.png (1,389 bytes) Dec 31, 2009, 21:50
png file icon TAFA Flyer - MAME N-Sub.png (281,272 bytes) Dec 31, 2009, 21:57
png file icon Mariner & Radar Scope - Color fade effect.png (9,880 bytes) Jan 11, 2010, 08:17
Relationships
There are no relationsihp linked to this issue.
Notes
7
User avatar
No.05354
Tafoid
Administrator
Dec 31, 2009, 22:15
It's no doubt closer and seems like a correct fix. Again, though, console ports of a game are not a good basis for comparison - flyers are probably the most accurate sort of having actual working video from a game.
User avatar
No.06033
hap
Developer
May 2, 2010, 14:46
commited ROMREGION_INVERT fix, I'll change the bugreport title to reflect the 2nd part of your report
User avatar
No.06125
couriersud
Developer
May 16, 2010, 18:44
The schematics have no trace of a circuit similar to e.g. radarscope. However, the manual list "11 MR-1024 TV Mask" together with some fluorescent light assembly. ==> This is something for the colleagues from the artwork department.
User avatar
No.12378
M.A.S.H.
Senior Tester
Jan 31, 2016, 02:30
Added N-Sub (Sega, 1980) Arcade Spielautomat YouTube video. Thanks to RaZer.
User avatar
No.13861
M.A.S.H.
Senior Tester
Jun 1, 2017, 14:58
edited on: Jun 1, 2017, 15:00
Fixed by SailorSat in MAME 0.184/0.185:

- 0.185: SailorSat added video\vicdual-97269pb.cpp for N-Sub.
- 0.184: SailorSat simulate the gradient in N-Sub. Figured out how the starfield and gradient get enabled on VIC Dual hardware.

User avatar
No.13905
haynor666
Tester
Jun 9, 2017, 19:22
M.A.S.H. bug entry is still in mameinfo.dat. Should be ?
User avatar
No.13906
M.A.S.H.
Senior Tester
Jun 10, 2017, 00:29
@haynor666
I closed this report on 2nd June after Mameinfo.dat 0.186 release.
It's removed now. Please download Mameinfo.dat 0.187GIT